### Function

# Camel header_format_ctext

#### Declaration [src]

    gchar*
    camel_header_format_ctext (
      const gchar* in,
      const gchar* default_charset
    )

#### Description [src]

Decodes a header which contains rfc2047 encoded-word tokens that may or may not be within a comment.

#### Parameters

`in`

  Type: `const gchar*`

  Input header value string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`default_charset`

  Type: `const gchar*`

  Default charset to use if improperly encoded.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A string containing the UTF-8 version of the decoded header value.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.